> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List batches

> List all orchestration batches



## OpenAPI

````yaml https://api.getcargo.io/openapi.json get /orchestration/batches/list
openapi: 3.1.0
info:
  title: Cargo API
  version: 1.0.0
  description: Cargo Platform API v1
servers:
  - url: https://api.getcargo.io/v1
    description: Cargo API
security:
  - bearerAuth: []
paths:
  /orchestration/batches/list:
    get:
      tags:
        - Orchestration - Batches
      summary: List batches
      description: List all orchestration batches
      parameters:
        - in: query
          name: uuids
          schema:
            title: UUIDs
            description: Batch identifiers to include.
            type: array
            items:
              type: string
          description: Batch identifiers to include.
        - in: query
          name: workflowUuids
          schema:
            title: Workflow UUIDs
            description: Workflow identifiers to include.
            type: array
            items:
              type: string
          description: Workflow identifiers to include.
        - in: query
          name: userUuid
          schema:
            title: User UUID
            description: User identifier to filter by.
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
          description: User identifier to filter by.
        - in: query
          name: releaseUuid
          schema:
            title: Release UUID
            description: Release identifier to filter by.
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
          description: Release identifier to filter by.
        - in: query
          name: parentBatchUuid
          schema:
            title: Parent batch UUID
            description: Parent batch identifier.
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
          description: Parent batch identifier.
        - in: query
          name: parentRunUuid
          schema:
            title: Parent run UUID
            description: Parent run identifier.
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
          description: Parent run identifier.
        - in: query
          name: parentNodeUuid
          schema:
            title: Parent node UUID
            description: Parent node identifier.
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
          description: Parent node identifier.
        - in: query
          name: statuses
          schema:
            title: Statuses
            description: Batch statuses to include.
            type: array
            items:
              type: string
              enum:
                - pending
                - syncing
                - skipped
                - querying
                - running
                - success
                - error
                - cancelling
                - cancelled
          description: Batch statuses to include.
        - in: query
          name: hasRuns
          schema:
            title: Has runs
            description: Filter batches that have runs.
            type: string
            enum:
              - 'true'
              - 'false'
          description: Filter batches that have runs.
        - in: query
          name: isSkipped
          schema:
            title: Is skipped
            description: Filter batches by skipped state.
            type: string
            enum:
              - 'true'
              - 'false'
          description: Filter batches by skipped state.
        - in: query
          name: isFinished
          schema:
            title: Is finished
            description: Filter batches by finished state.
            type: string
            enum:
              - 'true'
              - 'false'
          description: Filter batches by finished state.
        - in: query
          name: includedDataKinds
          schema:
            title: Included data kinds
            description: Data kinds to include.
            type: array
            items:
              type: string
              enum:
                - segment
                - change
                - filter
                - recordIds
                - records
                - file
                - runs
                - group
                - schedule
                - form
          description: Data kinds to include.
        - in: query
          name: excludedDataKinds
          schema:
            title: Excluded data kinds
            description: Data kinds to exclude.
            type: array
            items:
              type: string
              enum:
                - segment
                - change
                - filter
                - recordIds
                - records
                - file
                - runs
                - group
                - schedule
                - form
          description: Data kinds to exclude.
        - in: query
          name: limit
          schema:
            title: Limit
            description: Maximum number of batches to return.
            type: string
          description: Maximum number of batches to return.
        - in: query
          name: offset
          schema:
            title: Offset
            description: Number of batches to skip.
            type: string
          description: Number of batches to skip.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  batches:
                    type: array
                    items:
                      type: object
                      properties:
                        uuid:
                          type: string
                        workspaceUuid:
                          type: string
                        workflowUuid:
                          type: string
                        userUuid:
                          anyOf:
                            - type: string
                            - type: 'null'
                        releaseUuid:
                          anyOf:
                            - type: string
                            - type: 'null'
                        nodes:
                          anyOf:
                            - type: array
                              items:
                                allOf:
                                  - type: object
                                    properties:
                                      uuid:
                                        type: string
                                        format: uuid
                                        pattern: >-
                                          ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
                                      slug:
                                        type: string
                                        pattern: ^\w+$
                                      name:
                                        type: string
                                      config:
                                        type: object
                                        propertyNames:
                                          type: string
                                        additionalProperties: {}
                                      description:
                                        type: string
                                      retry:
                                        type: object
                                        properties:
                                          maximumAttempts:
                                            type: number
                                          initialInterval:
                                            type: number
                                          backoffCoefficient:
                                            type: number
                                        additionalProperties: false
                                      childrenUuids:
                                        type: array
                                        items:
                                          anyOf:
                                            - type: string
                                            - type: 'null'
                                      fallbackChildUuid:
                                        type: string
                                      fallbackOnFailure:
                                        type: boolean
                                      position:
                                        type: object
                                        properties:
                                          x:
                                            type: number
                                          'y':
                                            type: number
                                        required:
                                          - x
                                          - 'y'
                                        additionalProperties: false
                                    required:
                                      - uuid
                                      - slug
                                      - config
                                      - childrenUuids
                                      - fallbackOnFailure
                                      - position
                                    additionalProperties: false
                                  - anyOf:
                                      - type: object
                                        properties:
                                          kind:
                                            type: string
                                            enum:
                                              - native
                                          actionSlug:
                                            type: string
                                        required:
                                          - kind
                                          - actionSlug
                                        additionalProperties: false
                                      - type: object
                                        properties:
                                          kind:
                                            type: string
                                            enum:
                                              - connector
                                          connectorUuid:
                                            type: string
                                          integrationSlug:
                                            type: string
                                          actionSlug:
                                            type: string
                                        required:
                                          - kind
                                          - integrationSlug
                                          - actionSlug
                                        additionalProperties: false
                                      - type: object
                                        properties:
                                          kind:
                                            type: string
                                            enum:
                                              - tool
                                          toolUuid:
                                            type: string
                                          templateSlug:
                                            type: string
                                          releaseUuid:
                                            type: string
                                          waitUntilFinished:
                                            type: boolean
                                        required:
                                          - kind
                                        additionalProperties: false
                                      - type: object
                                        properties:
                                          kind:
                                            type: string
                                            enum:
                                              - agent
                                          agentUuid:
                                            type: string
                                          templateSlug:
                                            type: string
                                          releaseUuid:
                                            type: string
                                          waitUntilFinished:
                                            type: boolean
                                        required:
                                          - kind
                                        additionalProperties: false
                            - type: 'null'
                        temporalWorkflowId:
                          type: string
                        traceUuid:
                          anyOf:
                            - type: string
                            - type: 'null'
                        data:
                          anyOf:
                            - type: object
                              properties:
                                kind:
                                  type: string
                                  const: segment
                                segmentUuid:
                                  type: string
                              required:
                                - kind
                                - segmentUuid
                              additionalProperties: false
                            - type: object
                              properties:
                                kind:
                                  type: string
                                  const: change
                                changeUuid:
                                  type: string
                                changeKinds:
                                  type: array
                                  items:
                                    type: string
                                segmentUuid:
                                  type: string
                              required:
                                - kind
                                - changeUuid
                                - changeKinds
                                - segmentUuid
                              additionalProperties: false
                            - type: object
                              properties:
                                kind:
                                  type: string
                                  const: filter
                                modelUuid:
                                  type: string
                                filter: {}
                                sort: {}
                                limit:
                                  type: number
                              required:
                                - kind
                                - modelUuid
                              additionalProperties: false
                            - type: object
                              properties:
                                kind:
                                  type: string
                                  const: recordIds
                                modelUuid:
                                  type: string
                                ids:
                                  type: array
                                  items:
                                    type: string
                              required:
                                - kind
                                - modelUuid
                                - ids
                              additionalProperties: false
                            - type: object
                              properties:
                                kind:
                                  type: string
                                  const: watchedRecords
                                modelUuid:
                                  type: string
                                filter: {}
                                changeKinds:
                                  type: array
                                  items:
                                    type: string
                                s3Filename:
                                  type: string
                                meta:
                                  type: object
                                  propertyNames:
                                    type: string
                                  additionalProperties: {}
                              required:
                                - kind
                                - modelUuid
                                - changeKinds
                                - s3Filename
                              additionalProperties: false
                            - type: object
                              properties:
                                kind:
                                  type: string
                                  const: records
                                s3Filename:
                                  type: string
                              required:
                                - kind
                                - s3Filename
                              additionalProperties: false
                            - type: object
                              properties:
                                kind:
                                  type: string
                                  const: file
                                s3Filename:
                                  type: string
                                mappings:
                                  type: object
                                  propertyNames:
                                    type: string
                                  additionalProperties:
                                    type: string
                              required:
                                - kind
                                - s3Filename
                              additionalProperties: false
                            - type: object
                              properties:
                                kind:
                                  type: string
                                  const: runs
                                filter: {}
                                reset: {}
                              required:
                                - kind
                                - filter
                                - reset
                              additionalProperties: false
                            - type: object
                              properties:
                                kind:
                                  type: string
                                  const: group
                                s3Filename:
                                  type: string
                                parentBatchUuid:
                                  type: string
                                parentRunUuid:
                                  type: string
                                parentNodeUuid:
                                  type: string
                              required:
                                - kind
                                - s3Filename
                                - parentRunUuid
                                - parentNodeUuid
                              additionalProperties: false
                            - type: object
                              properties:
                                kind:
                                  type: string
                                  const: schedule
                                modelUuid:
                                  type: string
                                segmentUuid:
                                  type: string
                                changeKinds:
                                  type: array
                                  items:
                                    type: string
                                changeUuid:
                                  type: string
                                skip:
                                  type: boolean
                                totalRecordsCount:
                                  type: number
                                updatedRecordsCount:
                                  type: number
                                removedRecordsCount:
                                  type: number
                                addedRecordsCount:
                                  type: number
                                unchangedRecordsCount:
                                  type: number
                              required:
                                - kind
                                - modelUuid
                                - segmentUuid
                                - changeKinds
                              additionalProperties: false
                            - type: object
                              properties:
                                kind:
                                  type: string
                                  const: form
                                s3Filename:
                                  type: string
                                webhookUrl:
                                  type: string
                                parentRunUuid:
                                  type: string
                                parentNodeUuid:
                                  type: string
                                parentBatchUuid:
                                  type: string
                                parentAgentUuid:
                                  type: string
                                parentChatUuid:
                                  type: string
                                parentMessageUuid:
                                  type: string
                              required:
                                - kind
                                - s3Filename
                              additionalProperties: false
                        errorMessage:
                          anyOf:
                            - type: string
                            - type: 'null'
                        status:
                          type: string
                          enum:
                            - pending
                            - syncing
                            - skipped
                            - querying
                            - running
                            - success
                            - error
                            - cancelling
                            - cancelled
                        runsStatus:
                          anyOf:
                            - type: string
                              enum:
                                - healthy
                                - unhealthy
                            - type: 'null'
                        runsCount:
                          type: number
                        executedRunsCount:
                          type: number
                        failedRunsCount:
                          type: number
                        creditsUsedCount:
                          type: number
                        createdAt:
                          type: string
                        updatedAt:
                          type: string
                        finishedAt:
                          anyOf:
                            - type: string
                            - type: 'null'
                      required:
                        - uuid
                        - workspaceUuid
                        - workflowUuid
                        - userUuid
                        - releaseUuid
                        - nodes
                        - temporalWorkflowId
                        - traceUuid
                        - data
                        - errorMessage
                        - status
                        - runsStatus
                        - runsCount
                        - executedRunsCount
                        - failedRunsCount
                        - creditsUsedCount
                        - createdAt
                        - updatedAt
                        - finishedAt
                      additionalProperties: false
                    title: Batches
                    description: List of batches.
                required:
                  - batches
                additionalProperties: false
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '500':
          description: Internal server error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````